org.eclnt.fxcharts.data

## Class FXDataCategoryValue

- java.lang.Object
- - org.eclnt.fxcharts.data.FXData
  - - org.eclnt.fxcharts.data.FXDataCategoryValue

-     public class FXDataCategoryValue
      extends FXData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FXDataCategoryValue()`
    `FXDataCategoryValue(java.lang.String category, java.math.BigDecimal value)`
    `FXDataCategoryValue(java.lang.String category, java.math.BigDecimal value, java.lang.String tooltip, java.lang.String id)`
    `FXDataCategoryValue(java.lang.String category, double value)`
    `FXDataCategoryValue(java.lang.String category, double value, java.lang.String tooltip, java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()`
    `java.math.BigDecimal` | `getValue()`
    `void` | `setCategory(java.lang.String category)`
    `void` | `setValue(java.math.BigDecimal value)`

    - ### Methods inherited from class org.eclnt.fxcharts.data.FXData

      `getId, getTooltip, setId, setTooltip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FXDataCategoryValue

          public FXDataCategoryValue()

    - #### FXDataCategoryValue

          public FXDataCategoryValue(java.lang.String category,
                                     java.math.BigDecimal value)

    - #### FXDataCategoryValue

          public FXDataCategoryValue(java.lang.String category,
                                     double value)

    - #### FXDataCategoryValue

          public FXDataCategoryValue(java.lang.String category,
                                     java.math.BigDecimal value,
                                     java.lang.String tooltip,
                                     java.lang.String id)

    - #### FXDataCategoryValue

          public FXDataCategoryValue(java.lang.String category,
                                     double value,
                                     java.lang.String tooltip,
                                     java.lang.String id)

  - ### Method Detail

    - #### getCategory

          public java.lang.String getCategory()

    - #### setCategory

          public void setCategory(java.lang.String category)

    - #### getValue

          public java.math.BigDecimal getValue()

    - #### setValue

          public void setValue(java.math.BigDecimal value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.